<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <MySql Condition=" '$(MySql)' == '' ">ON</MySql>
    <PgSql Condition=" '$(PgSql)' == '' ">ON</PgSql>
    <ProjectGuid>{B982916F-F2F1-4975-89A6-C8BACDC65542}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Ntp.Data.Provider</RootNamespace>
    <AssemblyName>Ntp.Data.Provider</AssemblyName>
    <ReleaseVersion>0.7.0</ReleaseVersion>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <!-- SQL Provider definitions (debug) -->
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(MySql)' == 'Debug|AnyCPU|ON' ">
    <DefineConstants>MYSQL;TRACE;DEBUG;</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(PgSql)' == 'Debug|AnyCPU|ON' ">
    <DefineConstants>PGSQL;TRACE;DEBUG;</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(MySql)|$(PgSql)' == 'Debug|AnyCPU|ON|ON' ">
    <DefineConstants>MYSQL;PGSQL;TRACE;DEBUG;</DefineConstants>
  </PropertyGroup>
  <!-- SQL Provider definitions (release) -->
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(MySql)' == 'Release|AnyCPU|ON' ">
    <DefineConstants>MYSQL;TRACE;</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(PgSql)' == 'Release|AnyCPU|ON' ">
    <DefineConstants>PGSQL;TRACE;</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(MySql)|$(PgSql)' == 'Release|AnyCPU|ON|ON' ">
    <DefineConstants>MYSQL;PGSQL;TRACE;</DefineConstants>
  </PropertyGroup>
  <!-- PostgreSQL Provider include -->
  <Choose>
    <When Condition=" '$(PgSql)' == 'ON' " />
  </Choose>
  <!-- MySQL Provider include -->
  <Choose>
    <When Condition=" '$(MySql)' == 'ON' " />
  </Choose>
  <ItemGroup>
    <Reference Include="MySql.Data">
      <HintPath>..\packages\MySql.Data.6.9.9\lib\net45\MySql.Data.dll</HintPath>
    </Reference>
    <Reference Include="Npgsql">
      <HintPath>..\packages\Npgsql.3.1.7\lib\net451\Npgsql.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <Compile Include="..\Shared\AssemblyInfo.cs" />
    <Compile Include="MySqlFactory.cs" />
    <Compile Include="SqlDatabaseFactory.cs" />
    <Compile Include="PostgreSqlFactory.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Ntp.Data\Ntp.Data.csproj">
      <Project>{03F3B0D9-AC35-43E3-9303-87A71FB73CD1}</Project>
      <Name>Ntp.Data</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
</Project>